﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Animation;
using Windows.UI.Xaml.Navigation;

namespace HamburgerMenuNavigationUWP.Pages
{
  public sealed partial class DataDetailsPage : BasePage
  {
    public DataDetailsPage()
    {
      this.InitializeComponent();

      SelectMenuAction = "HamburgerMenuNavigationUWP.Pages.DataPage";
      ForwardEnterTransition = new EdgeUIThemeTransition() { Edge = EdgeTransitionLocation.Bottom };
      BackExitTransition = new EdgeUIThemeTransition() { Edge = EdgeTransitionLocation.Bottom };
    }

    ~DataDetailsPage()
    {
      System.Diagnostics.Debug.WriteLine("DataDetailsPage disposed");
    }

    public override void OnNavigatedTo(NavigationArgs e)
    {
      base.OnNavigatedTo(e);

      DataContext = e.Parameter;
    }

  }
}
